Page MenuHomeFreeBSD

Prepare for removal of CTM from FreeBSD-13
ClosedPublic

Authored by se on Nov 12 2018, 11:00 PM.

Details

Summary

Add an entry to UPDATING (date to be fixed depending on commit date), mention creation of the port in the ctm.1 man-page and write a warning about the planned removal in FreeBSD-13 to STDERR.
These changes are planned to be committed to HEAD and then merged to 12 in time for 12.0.
CTM will then be removed from HEAD according to the already accepted review 17935.

Test Plan

Build world with the patches.
Run ctm binary and observe depreciation warning.
Check text added to UPDATING.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

se created this revision.Nov 12 2018, 11:00 PM
bcr added a subscriber: bcr.Nov 13 2018, 7:50 AM

Can you bump the .Dd of ctm.1 for this content change? The rest of the man page looks fine, thanks!

se updated this revision to Diff 50364.Nov 13 2018, 1:33 PM

Bump .Dd date in man-page as requested by bcr (Benedict Reuschling) and use the same date in UPDATING.
The date will be adjusted in both files, if the commit is delayed beyond Nov. 15.

imp accepted this revision.Nov 13 2018, 2:51 PM

Looks good. I have a couple of suggested tweaks that make things better imho, but if you don't like one or the other, you can ignore.
I trust whatever you decide, so I'm clicking 'accept' to not hold things up.

usr.sbin/ctm/ctm/ctm.1
325–328 ↗(On Diff #50364)

The latest
.Nm
code

instead of these 4 lines.

usr.sbin/ctm/ctm/ctm.c
149 ↗(On Diff #50364)

after replace "but" and everything after it:

and will be
provided as a port (misc/ctm) or package (ctm).

I don't think you need to mention the version in case we need to bump it for some reason.

This revision is now accepted and ready to land.Nov 13 2018, 2:51 PM
rgrimes accepted this revision.Nov 13 2018, 4:01 PM

I like imp@'s revisions. I am accepting either version though.

UPDATING
37 ↗(On Diff #50364)

change ctm-2.0 to ctm if you make imp@'s other suggest change later to be consistent.

se updated this revision to Diff 50393.Nov 14 2018, 8:24 AM

Apply suggestions regarding textual changes in ctm.c, ctm.1, and UPDATING.
This version is about to be committed.

This revision now requires review to proceed.Nov 14 2018, 8:24 AM
se marked 3 inline comments as done.Nov 14 2018, 8:25 AM
In D17969#383877, @bcr wrote:

Can you bump the .Dd of ctm.1 for this content change? The rest of the man page looks fine, thanks!

Yes, thank you for the review - I'm not going to

This revision was not accepted when it landed; it landed in state Needs Review.Nov 14 2018, 8:46 AM
This revision was automatically updated to reflect the committed changes.